mpegvideo_enc: remove assert that has become obsolete with the new API